Bug 801754

Summary: nfs:valgrind issues
Product: [Community] GlusterFS Reporter: Saurabh <saujain>
Component: nfsAssignee: Vivek Agarwal <vagarwal>
Status: CLOSED CURRENTRELEASE QA Contact: Saurabh <saujain>
Severity: medium Docs Contact:
Priority: medium    
Version: pre-releaseCC: gluster-bugs, mzywusko, sankarshan, vbellur
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: glusterfs-3.4.0 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-24 13:56:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 817967    

Description Saurabh 2012-03-09 07:20:32 EST
Description of problem:

found issues after executing nfs with valgrind,


Version-Release number of selected component (if applicable):
3.3.0qa26


How reproducible:
tried only once

Steps to Reproduce:
1. put the nfs along with valgrind
2. execute iozone and then untar of linux
3. remove everything from the mount point
4. then kill the valgrind processes on server
  
Actual results:


Expected results:


Additional info:



==11203== 138 bytes in 2 blocks are definitely lost in loss record 148 of 323
==11203==    at 0x4A05FDE: malloc (vg_replace_malloc.c:236)
==11203==    by 0x4C59CD9: __gf_malloc (mem-pool.c:170)
==11203==    by 0x4C59F40: gf_vasprintf (mem-pool.c:229)
==11203==    by 0x4C5A05D: gf_asprintf (mem-pool.c:247)
==11203==    by 0x4EAA32F: rpcsvc_volume_allowed (rpcsvc.c:2382)
==11203==    by 0x96F828B: mnt3_xlchildren_to_exports (mount3.c:1325)
==11203==    by 0x96F848C: mnt3svc_export (mount3.c:1381)
==11203==    by 0x4EA60B8: rpcsvc_handle_rpc_call (rpcsvc.c:514)
==11203==    by 0x4EA645B: rpcsvc_notify (rpcsvc.c:610)
==11203==    by 0x4EABDB7: rpc_transport_notify (rpc-transport.c:498)
==11203==    by 0xB12727F: socket_event_poll_in (socket.c:1686)
==11203==    by 0xB127803: socket_event_handler (socket.c:1801)


this could be related to dht, but pointing it here for initial investigation.

==11203== 87,600 bytes in 730 blocks are definitely lost in loss record 302 of 323
==11203==    at 0x4A04A28: calloc (vg_replace_malloc.c:467)
==11203==    by 0x4C59BEC: __gf_calloc (mem-pool.c:145)
==11203==    by 0x8A1569B: dht_layout_new (dht-layout.c:47)
==11203==    by 0x8A46C41: dht_mkdir (dht-common.c:3820)
==11203==    by 0x4C35FD6: default_mkdir (defaults.c:986)
==11203==    by 0x4C35FD6: default_mkdir (defaults.c:986)
==11203==    by 0x4C35FD6: default_mkdir (defaults.c:986)
==11203==    by 0x4C35FD6: default_mkdir (defaults.c:986)
==11203==    by 0x94CA4D4: io_stats_mkdir (io-stats.c:1916)
==11203==    by 0x96EDA09: nfs_fop_mkdir (nfs-fops.c:807)
==11203==    by 0x96F2C1A: nfs_inode_mkdir (nfs-inodes.c:184)
==11203==    by 0x96F4540: nfs_mkdir (nfs-generics.c:135)
Comment 1 Anand Avati 2012-03-18 02:30:08 EDT
CHANGE: http://review.gluster.com/2956 (rpc-lib: memleak fix in rpcsvc_volume_allowed) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Saurabh 2012-05-24 02:40:37 EDT
executed valgrind on latest git pull and didn't the issues mentioned above

git head
commit b86436da7e0de47282c46cd14989e4cbaad0501d